function [rho_s, g, nu_s, pv, pa, V_m, V_s, BWL_m, scale, C_B, C_WA] = input()
% Input data
% Environment
rho_s  = 1025;            % Sea water density [kg/m^3]
g      = 9.81;            % Acceleration of gravity [m/s^2]
nu_s   = 1.19E-6;         % Sea water kinematic viscosity [m^2/s]
pv     = 1500;            % Vapour pressure [Pa]
pa     = 101325;          % Atmospheric pressure [Pa]

% Ship data
V_m = 3.244*0.514444444;  % Model speed [m/s]
V_s = 25*0.514444444;     % Ship speed [m/s]
LPP_m = 5.976;            % Model length between perpendiculars [m]
LPP_s = 355.0;            % Model length between perpendiculars [m]
BWL_m = 0.859;            % Model breadth water line [m]

% Scaling factor from model to full-scale
scale = LPP_s/LPP_m;

% Block coefficient
C_B = 0.661;

% Waterplane area coefficient (assumed)
C_WA = 0.84;             

end