% This script creates a textfile with the data that is necessary when
% comparing several configurations. Note that the text files should be
% located in the same folder as this script

% Defining name of outut files
fname = ['Z_' num2str(Z) '_col_' num2str(col) '_row_' num2str(row) '.txt'];

% Creating the file
fid = fopen(fname,'w');

% Number of propellers vertically
fprintf(fid,'%s','Number of propellers vertically (row)');
fprintf(fid,'\n');
fprintf(fid,'%s', num2str(row));
fprintf(fid,'\n');

% Empty space
fprintf(fid,'%s','');
fprintf(fid,'\n');

% Number of propellers horizontally
fprintf(fid,'%s','Number of propellers horizontally (col)');
fprintf(fid,'\n');
fprintf(fid,'%s', num2str(col));
fprintf(fid,'\n');

% Empty space
fprintf(fid,'%s','');
fprintf(fid,'\n');

% Diameter of propellers
fprintf(fid,'%s','Diameter of propellers (D)');
fprintf(fid,'\n');
fprintf(fid,'%s', num2str(D));
fprintf(fid,'\n');

% Empty space
fprintf(fid,'%s','');
fprintf(fid,'\n');

% Expanded blade area relationship of propellers
fprintf(fid,'%s','Expanded blade area relationship of propellers (AE/A0)');
fprintf(fid,'\n');
fprintf(fid,'%s', num2str(AEA0));
fprintf(fid,'\n');

% Empty space
fprintf(fid,'%s','');
fprintf(fid,'\n');

% Pitch of propellers
fprintf(fid,'%s','Pitch of propellers (P/D_07)');
fprintf(fid,'\n');
fprintf(fid,'%s', num2str(PD_07));
fprintf(fid,'\n');

% Empty space
fprintf(fid,'%s','');
fprintf(fid,'\n');

% Open water advnce number(s)
fprintf(fid,'%s','Open water advance number(s) (J_0)');
fprintf(fid,'\n');
fprintf(fid,'%s', num2str(J_0));
fprintf(fid,'\n');

% Empty space
fprintf(fid,'%s','');
fprintf(fid,'\n');

% Number of propeller blades
fprintf(fid,'%s','Number of propeller blades (Z)');
fprintf(fid,'\n');
fprintf(fid,'%s', num2str(Z));
fprintf(fid,'\n');

% Empty space
fprintf(fid,'%s','');
fprintf(fid,'\n');

% Total thrust from all propellers
fprintf(fid,'%s','Total thrust from all propellers (T_tot)');
fprintf(fid,'\n');
fprintf(fid,'%s', num2str(T_tot));
fprintf(fid,'\n');

% Empty space
fprintf(fid,'%s','');
fprintf(fid,'\n');

% Total efficiency of all propellers
fprintf(fid,'%s','Total efficiency of all propellers');
fprintf(fid,'\n');
fprintf(fid,'%s', num2str(eta));
fprintf(fid,'\n');

% Empty space
fprintf(fid,'%s','');
fprintf(fid,'\n');

% Number of cavitation points
fprintf(fid,'%s','Number of cavitation points');
fprintf(fid,'\n');
fprintf(fid,'%s', num2str(cav_tot));
fprintf(fid,'\n');

% Closing the file id
fclose(fid);
