% Plotting the wake with propellers)
figure;
contourf(y_wake, z_wake, w_s, 30, 'o')
set(gca,'zlim',[-14 0]) 
xlabel('y')
ylabel('z')
zlabel('Wake fraction, w')
title('Resulting propeller geometry')
axis equal
axis off
hold on

% y_centre = [y_centre(1,:) y_centre(2,:)];
% z_centre = [z_centre(1,:) z_centre(2,:)];

for j = 1:np
    
    % Blades including pitch angle (without pitch ange, remove cos(fi))
    for i = 1:Z
        rotate(plot(y_centre(j)+(c(j,:).*cos(fi(j,:)))./2, r+z_centre(j), 'r', y_centre(j)-((c(j,:)).*cos(fi(j,:)))./2,...
            r+z_centre(j), 'r', 'LineWidth', 2), [0,0,1], 360-i*(360/Z), [y_centre(j),z_centre(j),0])
        
        hold on
    end
    
    % Boss
    ang=0:0.01:2*pi;
    xp=R_boss*cos(ang);
    yp=R_boss*sin(ang);
    plot(y_centre(j)+xp, z_centre(j)+yp, 'r', 'LineWidth', 2);
    axis equal
    hold on
    
end

