function [N, R, R_boss, dr, r, y, theta] = variables(D)
% In this function radial and angular variables are defined

% Defining number of spanwise stations
N = 30;

% Defining radial variables 
R      = D/2;
R_boss = R/5;                               
dr     = (R-R_boss)/N;
r      = linspace(R_boss, R, N);
y      = r./R;

% Defining angular variables
theta = linspace(0, 2*pi, 6); 

% Adding pi/2 such that the first angular position is when the blade is in
% top position. This is convenitent for the cavitation analysis
theta = theta(1:length(theta)-1) + pi/2;

end