function [D, h, y_centre, z_centre] = diameter_calc_T(scale)
% This function contains diameter, centre coordinates and submergence of
% the large propeller below the grid in a T-configuration. The large
% propeller is placed with its centre as for the original propeller. The
% diameter is determined by visual inspection

% Placing one large propeller in largest wake, below grid configuration 
D_m_large = 0.1;
D = D_m_large*scale;
y_centre_large = 0;
z_centre_large = -0.15*scale;

% Collecting all centre coordinates in one vector
y_centre = y_centre_large;
z_centre = z_centre_large;

% Minimum propller submergance, to be used in cavitation calculations
h = -z_centre;

end

